Subject: bug#24897: 24.5; doc for `M' in Dired

From: Stefan Kangas <[email-masked]>
Date: Mon, 14 Oct 2019 00:38:21 +0200

Thanks for your comments Drew.  I think the patch I sent separately
fixes your comments, but see also below.

Drew Adams <[email-masked]> writes:

> 2. The main point of the request is to ask that the
> doc for `M' say something about the permissions, that
> it _not_ just point to a `man' page (which typically
> won't be available for MS Windows users anyway).
[...]
> It's good for the doc to _also_ mention the `chmod'
> command and its `man' page, but this bug report asks
> that the `M' doc itself provide at least a minimum of
> help about this - the possible user inputs and their
> effects.

Are you suggesting that we fully document how both symbolic and octal
modes work on Unix-like systems here?  If so, I think it's outside the
scope of this doc string.  Linking to separate documentation seems
more sensible, and the new patch I suggested does that.

See also:
https://www.gnu.org/software/coreutils/manual/html_node/File-permissions.html

Best regards,
Stefan Kangas